Subject: Re: [PATCH v2] net: phy: rename Asix Electronics PHY driver

From: Andrew Lunn <[email-masked]>
Date: Sat, 18 May 2019 16:20:10 +0200

On Sat, May 18, 2019 at 01:14:55PM +1200, Michael Schmitz wrote:
> Commit 31dd83b96641 ("net-next: phy: new Asix Electronics PHY driver")
> introduced a new PHY driver drivers/net/phy/asix.c that causes a module
> name conflict with a pre-existiting driver (drivers/net/usb/asix.c).
> 
> The PHY driver is used by the X-Surf 100 ethernet card driver, and loaded
> by that driver via its PHY ID. A rename of the driver looks unproblematic.
> 
> Rename PHY driver to ax88796b.c in order to resolve name conflict.
> 
> Signed-off-by: Michael Schmitz <[email-masked]>
> Fixes: 31dd83b96641 ("net-next: phy: new Asix Electronics PHY driver")
> ---
> 
> Changes from v1:
> 
> - merge into single commit (suggested by Andrew Lunn)

Hi Michael

There is a flag you can pass to git which will make it issue a rename,
rather than delete and then add. That will make the patch much
smaller.

net-next is closed at the moment.

http://vger.kernel.org/~davem/net-next.html

Once it reopens, please send a v3, and it will be merged.

Thanks
	Andrew